%define aurox_ver 9.3
%define rel 1



%define pkg_name      xosd
%define pkg_ver       2.2.5
%define pkg_rel       1aur
%define pkg_vendor    aurox

%define pkg_host      %{_target_cpu}-%{pkg_vendor}-%{_target_os}
%define pkg_obj       obj-%{pkg_host}

%define plugindir     %(xmms-config --general-plugin-dir)
%define	aclocaldir    %(aclocal --print-ac-dir)

Summary: X On-Screen Display library
Name:    %{pkg_name}
Version: %{pkg_ver}
Release: %{aurox_ver}.aur.%{rel}
URL: http://www.ignavus.net/software.html
License:   GPL
Distribution: Aurox
Group:    System Environment/Libraries
Source0:  %{name}-%{version}.tar.gz
Prefix: %{_prefix}
BuildRequires: xmms-devel >= 1.2.7
BuildRoot:   %{_tmppath}/%{name}-%(id -nu)

%description
X On-Screen Display library. A library for displaying a TV-like on-screen
display in X.

%package devel
Summary: X On-Screen Display library (headers + static libs)
Group:   Development/Libraries
Requires: %{name} = %{version}

%description devel
On-Screen Display library. A library for displaying a TV-like on-screen
display in X.

%package xmms
Summary: X On-Screen Display library (XMMS Plugin)
Group:   Applications/Multimedia
Requires: %{name} = %{version}
Requires: xmms

%description xmms
A plugin for XMMS

%prep
%setup -q

%build
%configure --disable-gdk_pixbuftest

%{__make}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{__make} DESTDIR=%buildroot install
( cd %buildroot/%plugindir
  rm -f *.la
)

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc AUTHORS README

%attr(755,root,root) %{_bindir}/osd_cat
%attr(755,root,root) %{_libdir}/lib%{name}.so.2.*
%{_libdir}/lib%{name}.so.2
%{_mandir}/man1/osd_cat.1*
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-config

%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.la
%{_libdir}/lib%{name}.so

%{aclocaldir}/libxosd.m4

%{_mandir}/man1/%{name}-config.1*
%{_mandir}/man3/xosd*

%files xmms
%defattr(755,root,root,755)
%{plugindir}/libxmms_osd.so

%changelog
* Wed Jan 21 2004 Aurox Team <aurox@aurox.org> 0:2.2.5-9.3.aur.1
- lib version changed in spec
- 2.2.5, Aurox 9.3
- Version number changed
- what's going on
- foo

* Fri Aug 01 2003 Jarosaw J. Pyszny <arghil@tlen.pl> 2.2.2-1aur
- initial release
